JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Attributes | List of all members
KnownPluginList::PluginTree Struct Reference
juce_audio_processors » scanning

A structure that recursively holds a tree of plugins. More...

`#include <juce_KnownPluginList.h>`

## Public Attributes
String | folder
| The name of this folder in the tree.
OwnedArray< PluginTree > | subFolders
Array< PluginDescription > | plugins

## Detailed Description

A structure that recursively holds a tree of plugins.

See also
  KnownPluginList::createTree()

## Member Data Documentation

## ◆ folder

String KnownPluginList::PluginTree::folder

The name of this folder in the tree.

## ◆ subFolders

OwnedArray<PluginTree> KnownPluginList::PluginTree::subFolders

## ◆ plugins

Array<PluginDescription> KnownPluginList::PluginTree::plugins

The documentation for this struct was generated from the following file:

- juce_KnownPluginList.h